Package com.avaya.clientservices.collaboration.librarysharing

## Interface LibrarySharingListener

-     public interface LibrarySharingListener

  Not supported in Client SDK.
  Library sharing listener provides updates about the status of library document sharing and whether a new shared page is received from the server (for a non presenting participant). Shapes drawn during a library sharing session is reported through the DataSet returned from LibrarySharing.getShapes() method. As a result, no separate shape added/removed/updated callbacks are provided through the LibrarySharingListener.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onLibrarySharingEnded​(LibrarySharing session)` | Reports that sharing of the selected document has ended.
    `void` | `onLibrarySharingStarted​(LibrarySharing session)` | Reports that sharing of the selected document has started.
    `void` | `onSlideShared​(LibrarySharing librarySharing, Slide slide, Participant participant)` | Reports that document slide (page) has been shared.

- - ### Method Detail

    - #### onLibrarySharingStarted

          void onLibrarySharingStarted​(LibrarySharing session)

      Reports that sharing of the selected document has started.
      Parameters:
        `session` - Library sharing session associated with the callback.

    - #### onLibrarySharingEnded

          void onLibrarySharingEnded​(LibrarySharing session)

      Reports that sharing of the selected document has ended.
      Parameters:
        `session` - Library sharing session associated with the callback.

    - #### onSlideShared

          void onSlideShared​(LibrarySharing librarySharing,
                             Slide slide,
                             Participant participant)

      Reports that document slide (page) has been shared.
      Parameters:
        `librarySharing` - shared pointer to ILibrarySharing session associated with the callback.
        `slide` - shared pointer to the shared ISlide object.
        `participant` - participant who shared slide.